{pkgs, ...}:
with pkgs; {
  programs = {
    git = {
      enable = true;
      package = gitAndTools.gitFull;
      userName = "pupbrained";
      userEmail = "mars@pupbrained.xyz";
      aliases.pushall = "!git remote | xargs -L1 git push";
      difftastic.enable = true;

      extraConfig = {
        init.defaultBranch = "main";
        push.autoSetupRemote = true;
      };

      signing = {
        signByDefault = true;
        key = "0FF5B8826803F895";
      };
    };

    gh = {
      enable = true;
      extensions = [gh-copilot gh-dash gh-markdown-preview];
    };
  };
}
